Graph API endpoint to get granular stats for a data set aggregated by event time or upload time
GET /v26.0/{offline-conversion-data-set-id}/stats HTTP/1.1
Host: graph.facebook.com/* PHP SDK v5.0.0 */
/* make the API call */
try {
// Returns a `Facebook\FacebookResponse` object
$response = $fb->get(
'/{offline-conversion-data-set-id}/stats',
'{access-token}'
);
} catch(Facebook\Exceptions\FacebookResponseException $e) {
echo 'Graph returned an error: ' . $e->getMessage();
exit;
} catch(Facebook\Exceptions\FacebookSDKException $e) {
echo 'Facebook SDK returned an error: ' . $e->getMessage();
exit;
}
$graphNode = $response->getGraphNode();
/* handle the result *//* make the API call */
FB.api(
"/{offline-conversion-data-set-id}/stats",
function (response) {
if (response && !response.error) {
/* handle the result */
}
}
);/* make the API call */
new GraphRequest(
AccessToken.getCurrentAccessToken(),
"/{offline-conversion-data-set-id}/stats",
null,
HttpMethod.GET,
new GraphRequest.Callback() {
public void onCompleted(GraphResponse response) {
/* handle the result */
}
}
).executeAsync();/* make the API call */
FBSDKGraphRequest *request = [[FBSDKGraphRequest alloc]
initWithGraphPath:@"/{offline-conversion-data-set-id}/stats"
parameters:params
HTTPMethod:@"GET"];
[request startWithCompletionHandler:^(FBSDKGraphRequestConnection *connection,
id result,
NSError *error) {
// Handle the result
}];| Parameter | Description |
|---|---|
aggr_timeenum{upload_time, event_time} | Default value: event_timeMetrics aggregated on event time or upload time |
endinteger | Timestamp for range end |
granularityenum{daily, hourly, six_hourly} | Default value: dailyGranularity of stats returned, either daily or hourly. Hourly granularity not supported for date ranges older than 30 days |
skip_empty_valuesboolean | Default value: falseSkip records if all numbers are empty |
startinteger | Timestamp for range start |
user_timezone_idint64 | Timezone ID to convert data into, does not support date ranges older than 30 days. Supported timezones - https://developers.facebook.com/docs/marketing-api/reference/ad-account/timezone-ids/ |
Reading from this edge will return a JSON formatted result:
{ "
data": [], "paging": {}, "summary": {} }
datapagingsummaryAggregated information about the edge, such as counts. Specify the fields to fetch in the summary param (like summary=attribution_status).
| Field | Description |
|---|---|
attribution_statusenum | Status of attribution over the specified time period. Possible values are no_attribution, low_attribution and fine_attribution |
countinteger | Number of events in the specified time period |
match_rate_approxint32 | Approximate match rate percentage for all events in the specified time period |
usd_amountinteger | Sum of USD(in cents) of all events in the specified time period |
| Error | Description |
|---|---|
| 21019 | Offline Conversions API requests are deprecated from v20 onwards. Please use Conversions API for offline signals. v19 is the latest version that supports this Offline Conversions API endpoint and can be used until v19 is deprecated |